#!/usr/pkg/bin/perl

while (<STDIN>) {
    if (/^\$/) {
	print $_;
    } else {
	$hex = unpack "H*", $_;
	if ($hex =~ /^a0a1/) {
	    if ($hex eq "a0a100028300830d0a") {
		print "[COMMAND ACK]\n";
	    } else {
		if ($hex =~ /^a0a1000283([0-9a-f][0-9a-f])[0-9a-f][0-9a-f]0d0a$/) {
		    print "[ACK $1]\n";
		} else {
		    if ($hex =~ /^a0a1000284([0-9a-f][0-9a-f])[0-9a-f][0-9a-f]0d0a$/) {
			print "[NACK $1]\n";
		    } else {
			print "$hex\n";
		    }
		}
	    }
	} else {
	    print "something else\n";
	}
    }
}
